@import url('./components.css');
@import url('./avatar.css');

/* ------- badge css -------- */

.badge-container {
    position: relative;
    width: max-content;
}

/* profile badge */
.badge {
    position: absolute;
    width: 1rem;
    height: 1rem;
    border: solid 2px var(--bg-color);
    border-radius: 50%;
    background-color: var(--color-success);
    right: 1rem;
    bottom: 5px;
}

.offline {
    background-color: var(--color-dnd);
}

.dnd {
    background-color: var(--color-error);
}

/* number badge */
.shopping-cart {
    font-size: 2rem;
}

.badge-ico {
    width: 1.3rem;
    height: 1.3rem;
    padding: 5px;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    color: var(--bg-color);
    background-color: var(--color-info);
    bottom: 1.5rem;
    left: 1.5rem;
}

/* badge docs  */
.profile-badge {
    min-height: 25rem;
}

.icon-badge {
    min-height: 15rem;
}
